NaccacheSternKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class NaccacheSternKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.NaccacheSternKeyParameters

- All Implemented Interfaces:
    CipherParameters
  Direct Known Subclasses:
    NaccacheSternPrivateKeyParameters

      public class NaccacheSternKeyParameters
      extends AsymmetricKeyParameter

  Public key parameters for NaccacheStern cipher. For details on this cipher, please see https://www.gemplus.com/smart/rd/publications/pdf/NS98pkcs.pdf

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NaccacheSternKeyParameters(boolean privateKey, java.math.BigInteger g, java.math.BigInteger n, int lowerSigmaBound)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getG()`
    `int` | `getLowerSigmaBound()`
    `java.math.BigInteger` | `getModulus()`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NaccacheSternKeyParameters

          public NaccacheSternKeyParameters(boolean privateKey,
                                            java.math.BigInteger g,
                                            java.math.BigInteger n,
                                            int lowerSigmaBound)

      Parameters:
        `privateKey` -

  - ### Method Detail

    - #### getG

          public java.math.BigInteger getG()

      Returns:
        Returns the g.

    - #### getLowerSigmaBound

          public int getLowerSigmaBound()

      Returns:
        Returns the lowerSigmaBound.

    - #### getModulus

          public java.math.BigInteger getModulus()

      Returns:
        Returns the n.